clang-tools 6.0.0

Namespaces | Enumerations | Functions
AvoidBindCheck.cpp File Reference
`#include "AvoidBindCheck.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include "clang/Basic/LLVM.h"`
`#include "clang/Basic/LangOptions.h"`
`#include "clang/Basic/SourceLocation.h"`
`#include "clang/Lex/Lexer.h"`
`#include "llvm/ADT/ArrayRef.h"`
`#include "llvm/ADT/SmallSet.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include "llvm/ADT/STLExtras.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Support/Casting.h"`
`#include "llvm/Support/Regex.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include <algorithm>`
`#include <cstddef>`
`#include <string>`
Include dependency graph for AvoidBindCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| clang::tidy
| clang::tidy::modernize

## Enumerations
enum | clang::tidy::modernize::@237::BindArgumentKind

## Functions
static SmallVector< BindArgument, 4 > | clang::tidy::modernize::buildBindArguments (const MatchFinder::MatchResult &Result, const CallExpr *C)
static void | clang::tidy::modernize::addPlaceholderArgs (const ArrayRef< BindArgument > Args, llvm::raw_ostream &Stream)
static void | clang::tidy::modernize::addFunctionCallArgs (const ArrayRef< BindArgument > Args, llvm::raw_ostream &Stream)
static bool | clang::tidy::modernize::isPlaceHolderIndexRepeated (const ArrayRef< BindArgument > Args)

## Enumeration Type Documentation

## ◆ BindArgumentKind

enum clang::tidy::modernize::@237::BindArgumentKind

Definition at line 37 of file AvoidBindCheck.cpp.

## Variable Documentation

## ◆ Kind

BindArgumentKind Kind = BK_Other

Definition at line 41 of file AvoidBindCheck.cpp.

Referenced by EntityMap::add(), clang::tidy::utils::IncludeSorter::AddInclude(), clang::tidy::cppcoreguidelines::SpecialMemberFunctionsCheck::check(), and clang::tidy::cppcoreguidelines::SpecialMemberFunctionsCheck::onEndOfTranslationUnit().

## ◆ PlaceHolderIndex

size_t PlaceHolderIndex = 0

Definition at line 42 of file AvoidBindCheck.cpp.

## ◆ Tokens

StringRef Tokens

Definition at line 40 of file AvoidBindCheck.cpp.

Referenced by clang::tidy::modernize::UseOverrideCheck::check(), and clang::tidy::modernize::ParseTokens().